Index: src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision ae34d30993ebe39bd8bb7ec8e8117212afe7e15e)
+++ src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 5a5e371e0d65173a4c2a48b457379a910c566dc8)
@@ -33,5 +33,4 @@
 
 
-# TODO: Update help with batch capabilities
 class InversionWindow(QtWidgets.QDialog, Ui_PrInversion):
     """
@@ -550,5 +549,4 @@
         self.isBatch = True
         self.performEstimate()
-        self.showBatchOutput()
 
     def startNextBatchItem(self):
@@ -564,4 +562,5 @@
             # If no data sets left, end batch calculation
             self.calculateAllButton.setText("Calculate All")
+            self.showBatchOutput()
             self.enableButtons()
 
Index: src/sas/qtgui/Utilities/GridPanel.py
===================================================================
--- src/sas/qtgui/Utilities/GridPanel.py	(revision ae34d30993ebe39bd8bb7ec8e8117212afe7e15e)
+++ src/sas/qtgui/Utilities/GridPanel.py	(revision 5a5e371e0d65173a4c2a48b457379a910c566dc8)
@@ -289,4 +289,6 @@
 
         super(BatchInversionOutputPanel, self).__init__(parent, output_data)
+        _translate = QtCore.QCoreApplication.translate
+        self.setWindowTitle(_translate("GridPanelUI", "Batch P(r) Results"))
 
     def setupTable(self, data):
@@ -296,7 +298,7 @@
         # headers
         param_list = ['Filename', 'Rg [Ã
-]', 'Ï^2/dof', 'I(Q=0)', 'Oscillations',
+]', 'Chi^2/dof', 'I(Q=0)', 'Oscillations',
                       'Background [Ã
-^-1]', 'P+ Fraction', 'P+1-Ï Fraction',
+^-1]', 'P+ Fraction', 'P+1-theta Fraction',
                       'Calc. Time [sec]']
 
@@ -319,20 +321,20 @@
             self.tblParams.setItem(i_row, 0, QtWidgets.QTableWidgetItem(
                 "{}".format(filename)))
+            self.tblParams.setItem(i_row, 1, QtWidgets.QTableWidgetItem(
+                "{:.3g}".format(pr.rg(out))))
             self.tblParams.setItem(i_row, 2, QtWidgets.QTableWidgetItem(
                 "{:.3g}".format(pr.chi2[0])))
-            self.tblParams.setItem(i_row, 5, QtWidgets.QTableWidgetItem(
-                "{:.3g}".format(pr.background)))
-            self.tblParams.setItem(i_row, 8, QtWidgets.QTableWidgetItem(
-                "{:.2g}".format(pr.elapsed)))
-            self.tblParams.setItem(i_row, 1, QtWidgets.QTableWidgetItem(
-                "{:.3g}".format(pr.rg(out))))
             self.tblParams.setItem(i_row, 3, QtWidgets.QTableWidgetItem(
                 "{:.3g}".format(pr.iq0(out))))
             self.tblParams.setItem(i_row, 4, QtWidgets.QTableWidgetItem(
                 "{:.3g}".format(pr.oscillations(out))))
+            self.tblParams.setItem(i_row, 5, QtWidgets.QTableWidgetItem(
+                "{:.3g}".format(pr.background)))
             self.tblParams.setItem(i_row, 6, QtWidgets.QTableWidgetItem(
                 "{:.3g}".format(pr.get_positive(out))))
             self.tblParams.setItem(i_row, 7, QtWidgets.QTableWidgetItem(
                 "{:.3g}".format(pr.get_pos_err(out, cov))))
+            self.tblParams.setItem(i_row, 8, QtWidgets.QTableWidgetItem(
+                "{:.2g}".format(pr.elapsed)))
 
         self.tblParams.resizeColumnsToContents()
@@ -344,5 +346,5 @@
         """
         location = GuiUtils.HELP_DIRECTORY_LOCATION
-        url = "/user/sasgui/perspectives/pr/pr_help.html#batch-fit-mode"
+        url = "/user/sasgui/perspectives/pr/pr_help.html#batch-pr-mode"
         try:
             webbrowser.open('file://' + os.path.realpath(location + url))
Index: src/sas/sasgui/perspectives/pr/media/pr_help.rst
===================================================================
--- src/sas/sasgui/perspectives/pr/media/pr_help.rst	(revision 1abd19cf44dad3cb6ecf909cc6fc8c5be7075466)
+++ src/sas/sasgui/perspectives/pr/media/pr_help.rst	(revision 5a5e371e0d65173a4c2a48b457379a910c566dc8)
@@ -68,4 +68,22 @@
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
 
+.. _Batch_Pr_Mode:
+
+Batch P(r) inversion
+--------------------
+
+The p(r) calculator accepts any number of data sets, and supports batch fitting
+for all data sets in the p(r) data set combo box. Switching between data sets in
+the combo box allows for individual fits and review of fit parameters. The
+displayed plots will also update to include the latest fit results for the
+selected data set.
+
+The 'Calculate All' button will run the p(r) calculation for each file,
+sequentially. The calculator will estimate the number of terms, background, and
+regularization constant for each file prior to running the p(r) calculation.
+The final results for all data sets are then presented in a savable data table.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
 Reference
 ---------
@@ -76,3 +94,3 @@
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
 
-.. note::  This help document was last modified by Paul Butler, 05 September, 2016
+.. note::  This help document was last modified by Jeff Krzywon, 18 April 2018
